Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.meta.jdbc
Class JdbcMetadataI18n

    java.lang.Object
      org.modeshape.connector.meta.jdbc.JdbcMetadataI18n

    public final class JdbcMetadataI18n

extends Object

The internationalized string constants for the `org.modeshape.connector.meta.jdbc.*` packages.

Field Summary
`static I18n` | `couldNotGetCatalogNames`
`static I18n` | `couldNotGetColumn`
`static I18n` | `couldNotGetDatabaseMetadata`
`static I18n` | `couldNotGetProcedure`
`static I18n` | `couldNotGetProcedureNames`
`static I18n` | `couldNotGetSchemaNames`
`static I18n` | `couldNotGetTable`
`static I18n` | `couldNotGetTableNames`
`static I18n` | `couldNotSetDriverProperties`
`static I18n` | `dataSourceJndiNamePropertyCategory`
`static I18n` | `dataSourceJndiNamePropertyDescription`
`static I18n` | `dataSourceJndiNamePropertyLabel`
`static I18n` | `defaultCatalogNamePropertyCategory`
`static I18n` | `defaultCatalogNamePropertyDescription`
`static I18n` | `defaultCatalogNamePropertyLabel`
`static I18n` | `defaultSchemaNamePropertyCategory`
`static I18n` | `defaultSchemaNamePropertyDescription`
`static I18n` | `defaultSchemaNamePropertyLabel`
`static I18n` | `defaultWorkspaceNamePropertyCategory`
`static I18n` | `defaultWorkspaceNamePropertyDescription`
`static I18n` | `defaultWorkspaceNamePropertyLabel`
`static I18n` | `driverClassloaderNamePropertyCategory`
`static I18n` | `driverClassloaderNamePropertyDescription`
`static I18n` | `driverClassloaderNamePropertyLabel`
`static I18n` | `driverClassNameAndUrlAreRequired`
`static I18n` | `driverClassNamePropertyCategory`
`static I18n` | `driverClassNamePropertyDescription`
`static I18n` | `driverClassNamePropertyLabel`
`static I18n` | `duplicateTablesWithSameName`
`static I18n` | `errorClosingConnection`
`static I18n` | `errorFindingDataSourceInJndi`
`static I18n` | `errorObtainingConnection`
`static I18n` | `errorSerializingCachePolicyInSource`
`static I18n` | `errorSettingContextClassLoader`
`static I18n` | `idleTimeInSecondsBeforeTestingConnectionsPropertyCategory`
`static I18n` | `idleTimeInSecondsBeforeTestingConnectionsPropertyDescription`
`static I18n` | `idleTimeInSecondsBeforeTestingConnectionsPropertyLabel`
`static I18n` | `maximumConnectionIdleTimeInSecondsPropertyCategory`
`static I18n` | `maximumConnectionIdleTimeInSecondsPropertyDescription`
`static I18n` | `maximumConnectionIdleTimeInSecondsPropertyLabel`
`static I18n` | `maximumConnectionsInPoolPropertyCategory`
`static I18n` | `maximumConnectionsInPoolPropertyDescription`
`static I18n` | `maximumConnectionsInPoolPropertyLabel`
`static I18n` | `maximumSizeOfStatementCachePropertyCategory`
`static I18n` | `maximumSizeOfStatementCachePropertyDescription`
`static I18n` | `maximumSizeOfStatementCachePropertyLabel`
`static I18n` | `metadataCollectorClassNamePropertyCategory`
`static I18n` | `metadataCollectorClassNamePropertyDescription`
`static I18n` | `metadataCollectorClassNamePropertyLabel`
`static I18n` | `minimumConnectionsInPoolPropertyCategory`
`static I18n` | `minimumConnectionsInPoolPropertyDescription`
`static I18n` | `minimumConnectionsInPoolPropertyLabel`
`static I18n` | `numberOfConnectionsToAcquireAsNeededPropertyCategory`
`static I18n` | `numberOfConnectionsToAcquireAsNeededPropertyDescription`
`static I18n` | `numberOfConnectionsToAcquireAsNeededPropertyLabel`
`static I18n` | `passwordPropertyCategory`
`static I18n` | `passwordPropertyDescription`
`static I18n` | `passwordPropertyLabel`
`static I18n` | `repositorySourceMustHaveName`
`static I18n` | `retryLimitPropertyCategory`
`static I18n` | `retryLimitPropertyDescription`
`static I18n` | `retryLimitPropertyLabel`
`static I18n` | `sourceIsReadOnly`
`static I18n` | `updatesAllowedPropertyCategory`
`static I18n` | `updatesAllowedPropertyDescription`
`static I18n` | `updatesAllowedPropertyLabel`
`static I18n` | `urlPropertyCategory`
`static I18n` | `urlPropertyDescription`
`static I18n` | `urlPropertyLabel`
`static I18n` | `usernamePropertyCategory`
`static I18n` | `usernamePropertyDescription`
`static I18n` | `usernamePropertyLabel`

Constructor Summary
`JdbcMetadataI18n()`

Method Summary
`static Set<Locale>` | `getLocalizationProblemLocales()`
`static Set<String>` | `getLocalizationProblems()`
`static Set<String>` | `getLocalizationProblems(Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorClosingConnection

    public static I18n errorClosingConnection

### errorObtainingConnection

    public static I18n errorObtainingConnection

### sourceIsReadOnly

    public static I18n sourceIsReadOnly

### errorSerializingCachePolicyInSource

    public static I18n errorSerializingCachePolicyInSource

### couldNotGetDatabaseMetadata

    public static I18n couldNotGetDatabaseMetadata

### couldNotGetCatalogNames

    public static I18n couldNotGetCatalogNames

### couldNotGetSchemaNames

    public static I18n couldNotGetSchemaNames

### couldNotGetTableNames

    public static I18n couldNotGetTableNames

### couldNotGetTable

    public static I18n couldNotGetTable

### couldNotGetColumn

    public static I18n couldNotGetColumn

### duplicateTablesWithSameName

    public static I18n duplicateTablesWithSameName

### couldNotGetProcedureNames

    public static I18n couldNotGetProcedureNames

### couldNotGetProcedure

    public static I18n couldNotGetProcedure

### repositorySourceMustHaveName

    public static I18n repositorySourceMustHaveName

### errorFindingDataSourceInJndi

    public static I18n errorFindingDataSourceInJndi

### errorSettingContextClassLoader

    public static I18n errorSettingContextClassLoader

### driverClassNameAndUrlAreRequired

    public static I18n driverClassNameAndUrlAreRequired

### couldNotSetDriverProperties

    public static I18n couldNotSetDriverProperties

### defaultWorkspaceNamePropertyDescription

    public static I18n defaultWorkspaceNamePropertyDescription

### defaultWorkspaceNamePropertyLabel

    public static I18n defaultWorkspaceNamePropertyLabel

### defaultWorkspaceNamePropertyCategory

    public static I18n defaultWorkspaceNamePropertyCategory

### retryLimitPropertyDescription

    public static I18n retryLimitPropertyDescription

### retryLimitPropertyLabel

    public static I18n retryLimitPropertyLabel

### retryLimitPropertyCategory

    public static I18n retryLimitPropertyCategory

### updatesAllowedPropertyDescription

    public static I18n updatesAllowedPropertyDescription

### updatesAllowedPropertyLabel

    public static I18n updatesAllowedPropertyLabel

### updatesAllowedPropertyCategory

    public static I18n updatesAllowedPropertyCategory

### dataSourceJndiNamePropertyDescription

    public static I18n dataSourceJndiNamePropertyDescription

### dataSourceJndiNamePropertyLabel

    public static I18n dataSourceJndiNamePropertyLabel

### dataSourceJndiNamePropertyCategory

    public static I18n dataSourceJndiNamePropertyCategory

### passwordPropertyDescription

    public static I18n passwordPropertyDescription

### passwordPropertyLabel

    public static I18n passwordPropertyLabel

### passwordPropertyCategory

    public static I18n passwordPropertyCategory

### usernamePropertyDescription

    public static I18n usernamePropertyDescription

### usernamePropertyLabel

    public static I18n usernamePropertyLabel

### usernamePropertyCategory

    public static I18n usernamePropertyCategory

### urlPropertyDescription

    public static I18n urlPropertyDescription

### urlPropertyLabel

    public static I18n urlPropertyLabel

### urlPropertyCategory

    public static I18n urlPropertyCategory

### driverClassNamePropertyDescription

    public static I18n driverClassNamePropertyDescription

### driverClassNamePropertyLabel

    public static I18n driverClassNamePropertyLabel

### driverClassNamePropertyCategory

    public static I18n driverClassNamePropertyCategory

### driverClassloaderNamePropertyDescription

    public static I18n driverClassloaderNamePropertyDescription

### driverClassloaderNamePropertyLabel

    public static I18n driverClassloaderNamePropertyLabel

### driverClassloaderNamePropertyCategory

    public static I18n driverClassloaderNamePropertyCategory

### maximumConnectionsInPoolPropertyDescription

    public static I18n maximumConnectionsInPoolPropertyDescription

### maximumConnectionsInPoolPropertyLabel

    public static I18n maximumConnectionsInPoolPropertyLabel

### maximumConnectionsInPoolPropertyCategory

    public static I18n maximumConnectionsInPoolPropertyCategory

### minimumConnectionsInPoolPropertyDescription

    public static I18n minimumConnectionsInPoolPropertyDescription

### minimumConnectionsInPoolPropertyLabel

    public static I18n minimumConnectionsInPoolPropertyLabel

### minimumConnectionsInPoolPropertyCategory

    public static I18n minimumConnectionsInPoolPropertyCategory

### maximumConnectionIdleTimeInSecondsPropertyDescription

    public static I18n maximumConnectionIdleTimeInSecondsPropertyDescription

### maximumConnectionIdleTimeInSecondsPropertyLabel

    public static I18n maximumConnectionIdleTimeInSecondsPropertyLabel

### maximumConnectionIdleTimeInSecondsPropertyCategory

    public static I18n maximumConnectionIdleTimeInSecondsPropertyCategory

### maximumSizeOfStatementCachePropertyDescription

    public static I18n maximumSizeOfStatementCachePropertyDescription

### maximumSizeOfStatementCachePropertyLabel

    public static I18n maximumSizeOfStatementCachePropertyLabel

### maximumSizeOfStatementCachePropertyCategory

    public static I18n maximumSizeOfStatementCachePropertyCategory

### numberOfConnectionsToAcquireAsNeededPropertyDescription

    public static I18n numberOfConnectionsToAcquireAsNeededPropertyDescription

### numberOfConnectionsToAcquireAsNeededPropertyLabel

    public static I18n numberOfConnectionsToAcquireAsNeededPropertyLabel

### numberOfConnectionsToAcquireAsNeededPropertyCategory

    public static I18n numberOfConnectionsToAcquireAsNeededPropertyCategory

### idleTimeInSecondsBeforeTestingConnectionsPropertyDescription

    public static I18n idleTimeInSecondsBeforeTestingConnectionsPropertyDescription

### idleTimeInSecondsBeforeTestingConnectionsPropertyLabel

    public static I18n idleTimeInSecondsBeforeTestingConnectionsPropertyLabel

### idleTimeInSecondsBeforeTestingConnectionsPropertyCategory

    public static I18n idleTimeInSecondsBeforeTestingConnectionsPropertyCategory

### defaultCatalogNamePropertyDescription

    public static I18n defaultCatalogNamePropertyDescription

### defaultCatalogNamePropertyLabel

    public static I18n defaultCatalogNamePropertyLabel

### defaultCatalogNamePropertyCategory

    public static I18n defaultCatalogNamePropertyCategory

### defaultSchemaNamePropertyDescription

    public static I18n defaultSchemaNamePropertyDescription

### defaultSchemaNamePropertyLabel

    public static I18n defaultSchemaNamePropertyLabel

### defaultSchemaNamePropertyCategory

    public static I18n defaultSchemaNamePropertyCategory

### metadataCollectorClassNamePropertyDescription

    public static I18n metadataCollectorClassNamePropertyDescription

### metadataCollectorClassNamePropertyLabel

    public static I18n metadataCollectorClassNamePropertyLabel

### metadataCollectorClassNamePropertyCategory

    public static I18n metadataCollectorClassNamePropertyCategory

Constructor Detail

### JdbcMetadataI18n

    public JdbcMetadataI18n()

Method Detail

### getLocalizationProblemLocales

    public static Set<Locale> getLocalizationProblemLocales()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.